Package org.sunflow.math

# Class PerlinScalar

java.lang.Object
org.sunflow.math.PerlinScalar

public final class PerlinScalar extends Object
Noise function from Ken Perlin. Additional routines are provided to emulate standard Renderman calls. This code was adapted mainly from the mrclasses package by Gonzalo Garramuno (http://sourceforge.net/projects/mrclasses/).

## Constructor Summary

Constructors
Constructor
Description
`PerlinScalar()`

## Method Summary

Modifier and Type
Method
Description
`static final float`
`noise(float x)`
`static final float`
`noise(float x, float y)`
`static final float`
`noise(float x, float y, float z)`
`static final float`
`noise(float x, float y, float z, float t)`
`static final float`
`noise(Point2 p)`
`static final float`
`noise(Point3 p)`
`static final float`
`noise(Point3 p, float t)`
`static final float`
`pnoise(float xi, float period)`
`static final float`
`pnoise(float xi, float yi, float w, float h)`
`static final float`
`pnoise(float xi, float yi, float zi, float w, float h, float d)`
`static final float`
`pnoise(float xi, float yi, float zi, float ti, float w, float h, float d, float p)`
`static final float`
`pnoise(Point2 p, float periodx, float periody)`
`static final float`
`pnoise(Point3 p, float t, Vector3 pperiod, float tperiod)`
`static final float`
`pnoise(Point3 p, Vector3 period)`
`static final float`
`snoise(float x)`
`static final float`
`snoise(float x, float y)`
`static final float`
`snoise(float x, float y, float z)`
`static final float`
`snoise(float x, float y, float z, float w)`
`static final float`
`snoise(Point2 p)`
`static final float`
`snoise(Point3 p)`
`static final float`
`snoise(Point3 p, float t)`
`static final float`
`spnoise(float xi, float period)`
`static final float`
`spnoise(float xi, float yi, float w, float h)`
`static final float`
`spnoise(float xi, float yi, float zi, float w, float h, float d)`
`static final float`
`spnoise(float xi, float yi, float zi, float ti, float w, float h, float d, float p)`
`static final float`
`spnoise(Point2 p, float periodx, float periody)`
`static final float`
`spnoise(Point3 p, float t, Vector3 pperiod, float tperiod)`
`static final float`
`spnoise(Point3 p, Vector3 period)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerlinScalar

public PerlinScalar()

## Method Details

### snoise

public static final float snoise(float x)

### snoise

public static final float snoise(float x, float y)

### snoise

public static final float snoise(float x, float y, float z)

### snoise

public static final float snoise(float x, float y, float z, float w)

### snoise

public static final float snoise(Point2 p)

### snoise

public static final float snoise(Point3 p)

### snoise

public static final float snoise(Point3 p, float t)

### noise

public static final float noise(float x)

### noise

public static final float noise(float x, float y)

### noise

public static final float noise(float x, float y, float z)

### noise

public static final float noise(float x, float y, float z, float t)

### noise

public static final float noise(Point2 p)

### noise

public static final float noise(Point3 p)

### noise

public static final float noise(Point3 p, float t)

### pnoise

public static final float pnoise(float xi, float period)

### pnoise

public static final float pnoise(float xi, float yi, float w, float h)

### pnoise

public static final float pnoise(float xi, float yi, float zi, float w, float h, float d)

### pnoise

public static final float pnoise(float xi, float yi, float zi, float ti, float w, float h, float d, float p)

### pnoise

public static final float pnoise(Point2 p, float periodx, float periody)

### pnoise

public static final float pnoise(Point3 p, Vector3 period)

### pnoise

public static final float pnoise(Point3 p, float t, Vector3 pperiod, float tperiod)

### spnoise

public static final float spnoise(float xi, float period)

### spnoise

public static final float spnoise(float xi, float yi, float w, float h)

### spnoise

public static final float spnoise(float xi, float yi, float zi, float w, float h, float d)

### spnoise

public static final float spnoise(float xi, float yi, float zi, float ti, float w, float h, float d, float p)

### spnoise

public static final float spnoise(Point2 p, float periodx, float periody)

### spnoise

public static final float spnoise(Point3 p, Vector3 period)

### spnoise

public static final float spnoise(Point3 p, float t, Vector3 pperiod, float tperiod)